Moves a task list to another project.
POSThttps://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}/changeproject
POST https://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}/changeprojectMoves the task list, its tasks, and related time entries to another project. A status mapping can move tasks to replacement statuses.
Authentication
AuthorizationBearer
Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.
Path parameters
projectIdstringRequired
format: uuidtaskListIdstringRequired
format: uuidRequest body Required
The change Project form For Task Lists.
application/json
projectIdstringRequired
format: uuidThe id of the project the list will be moved to.
taskStatusMappingarray of objectRequired
The task status mapping from old task status to new task status.
Show 2 properties
oldStatusIdstringRequired
format: uuidnewStatusIdstringRequired
format: uuid